### Method

# EDataServerUI CredentialsPrompter set_auto_prompt

since: 3.16

#### Declaration [src]

    void
    e_credentials_prompter_set_auto_prompt (
      ECredentialsPrompter* prompter,
      gboolean auto_prompt
    )

#### Description [src]

Sets whether can respond to credential prompts automatically. That means that whenever any ESource will ask for credentials, it’ll try to provide them.

Use `e_credentials_prompter_set_auto_prompt_disabled_for()` to influence auto-prompt per an `ESource`.

This property does not influence direct calls of e_credentials_prompter_prompt().

Available since: 3.16

Sets property | `EDataServerUI.CredentialsPrompter:auto-prompt`

#### Parameters

`auto_prompt`

  Type: `gboolean`

  New value of the auto-prompt property.